Subject: bug#35503: 27.0.50; Startup output and slowdown break Emacs batch applications

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Apr 2019 18:39:57 +0300

> From: Robert Pluim <[email-masked]>
> Date: Tue, 30 Apr 2019 16:53:32 +0200
> Cc: [email-masked]
> 
> >>>>> On Tue, 30 Apr 2019 16:42:48 +0200, Anders Lindgren <[email-masked]> said:
> 
>     Anders> Hi!  I'm maintaining an Emacs batch application, e2ansi
>     Anders> (*).
> 
>     Anders> I just noticed two problems when using Emacs 27.
> 
>     Anders> 1) It prints a lot of output, whereas earlier versions are
>     Anders> quiet. The output include tons of "Loading xxx..." but
>     Anders> also the lines "dump mode: nil" and "Using load-path ...".
> 
>     Anders> 2) Startup times has increased from 0.11 seconds to 2.36
>     Anders> seconds.
> 
>     Anders> To test this, simply run:
> 
>     Anders> time PATH-TO-Emacs --batch -Q
> 
>     Anders> I'm using a prebuilt Emacs from "emacsformacos.com". I've
>     Anders> tested the official Emacs 26.2 and the latest Emacs 27
>     Anders> "nightie".
> 
> My crystal ball says that PATH-TO-Emacs is really a symlink to the
> actual location of Emacs. In that case, Emacs cannot (currently)
> locate its dump file, hence all the output. If you run Emacs using the
> fully specified real path, it should be much faster.

My crystal ball agrees.

In general, the description means that Emacs didn't find its pdump
file, so it loads all the preloaded packages anew.